package com.indigitall.indigitall_flutter_plugin.activities_ind

import android.content.Intent
import android.os.Bundle
import com.indigitall.android.HiddenActivity
import com.indigitall.android.models.Push
import com.indigitall.indigitall_flutter_plugin.IndigitallFlutterPlugin
import org.json.JSONObject

class FTIndigitallHiddenActivity: HiddenActivity() {
    override fun onCreate(bundle: Bundle?) {
        super.onCreate(bundle)
    }

    override fun onHandleIntentAction(intentAction: Intent?) {
        val context = applicationContext
        if (IndigitallFlutterPlugin.indigitallInterface != null) {
            intentAction?.let { action ->
                action.getStringExtra(Push.EXTRA_PUSH)?.let {
                    val json = JSONObject(it)
                    IndigitallFlutterPlugin.indigitallInterface?.onIndigitallGetPush(
                        context,
                        null,
                        json
                    )
                }
            }
        }
        super.onHandleIntentAction(intentAction)



    }
}